# }VmF
use strict;
use warnings;
use Net::Ping::External;

my $timeout = 5;

while (my $line = <>) {
    chomp $line;
    my $host = $line;
    
    my $is_alive = Net::Ping::External::ping(
        host => $host, timeout => $timeout);
    
    if ($is_alive) {
        print "$host is alive\n";
    } else {
        print "$host is not alive\n";
    }
}
